package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.MpMessageGroupUserQueryReq;
import com.seer.teach.mp.admin.controller.req.MpMessageGroupUserReq;
import com.seer.teach.mp.admin.controller.resp.MpMessageGroupUserResp;
import com.seer.teach.mp.entity.MpMessageGroupUserEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface MpMessageGroupUserConvert {


    MpMessageGroupUserConvert INSTANCE = Mappers.getMapper(MpMessageGroupUserConvert.class);

    MpMessageGroupUserResp convertOne(MpMessageGroupUserEntity req);

    MpMessageGroupUserEntity convertOne(MpMessageGroupUserReq req);

    MpMessageGroupUserEntity convertQueryOne(MpMessageGroupUserQueryReq req);

    List<MpMessageGroupUserResp> convertRespList(List<MpMessageGroupUserEntity> list);
}
